## org.hibernate.metamodel.relational
Interface Exportable

All Known Subinterfaces:
  AuxiliaryDatabaseObject, Constraint

All Known Implementing Classes:
  AbstractAuxiliaryDatabaseObject, AbstractConstraint, BasicAuxiliaryDatabaseObjectImpl, ForeignKey, Index, PrimaryKey, Sequence, Table, UniqueKey

    public interface Exportable

Contract for entities (in the ERD sense) which can be exported via `CREATE`, `ALTER`, etc

Method Summary
`String` `getExportIdentifier()` Get a unique identifier to make sure we are not exporting the same database structure multiple times.
`String[]` `sqlCreateStrings(Dialect dialect)` Gets the SQL strings for creating the database object.
`String[]` `sqlDropStrings(Dialect dialect)` Gets the SQL strings for dropping the database object.

Method Detail

### getExportIdentifier

    String getExportIdentifier()

  Get a unique identifier to make sure we are not exporting the same database structure multiple times.

  Returns:
    The exporting identifier.

### sqlCreateStrings

    String[] sqlCreateStrings(Dialect dialect)

  Gets the SQL strings for creating the database object.

  Parameters:
    `dialect` - The dialect for which to generate the SQL creation strings
  Returns:
    the SQL strings for creating the database object.

### sqlDropStrings

    String[] sqlDropStrings(Dialect dialect)

  Gets the SQL strings for dropping the database object.

  Parameters:
    `dialect` - The dialect for which to generate the SQL drop strings
  Returns:
    the SQL strings for dropping the database object.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.